- README

- Top Level Namespace
- Adler32
- ArgumentError
- Array
- Atomic
- Base64
  - Error
- Benchmark
  - BM
    - Job
    - Tms
  - IPS
    - Entry
    - Job
- BigFloat
- BigInt
- BigRational
- BitArray
- Bool
- Box
- Bytes
- Channel
  - Buffered
  - ClosedError
  - ReceiveAction
  - SelectAction
  - SendAction
  - Unbuffered
- Char
  - Reader
- Class
- Colorize
  - Object
  - ObjectExtensions
- Comparable
- Complex
- Concurrent
  - CanceledError
- CRC32
- Crypto
  - Bcrypt
    - Error
    - Password
  - Blowfish
  - Subtle
- CSV
  - Builder
    - Row
  - Error
  - Lexer
  - MalformedCSVError
  - Parser
  - Row
  - Token
    - Kind
- Debug
  - DWARF
    - Abbrev
      - Attribute
    - AT
    - FORM
    - Info
      - Value
    - LineNumbers
      - Register
      - Row
      - Sequence
    - LNE
    - LNS
    - Strings
    - TAG
  - ELF
    - Endianness
    - Error
    - Ident
    - Klass
    - Machine
    - OSABI
    - SectionHeader
      - Flags
      - Type
    - Type
- Deque
- Digest
  - Base
  - MD5
  - SHA1
- Dir
- DivisionByZero
- DL
- ECR
- Enum
- Enumerable
  - EmptyError
- ENV
- Errno
- Exception
- Fiber
- File
  - Stat
- FileUtils
- Flate
  - Error
  - Reader
  - Strategy
  - Writer
- Float
  - Primitive
- Float32
- Float64
- GC
  - Stats
- Gzip
  - Error
  - Header
  - Reader
  - Writer
- Hash
- HTML
- HTTP
  - Client
    - BodyType
    - Response
  - CompressHandler
  - ComputedContentTypeHeader
  - Cookie
  - Cookies
  - ErrorHandler
  - FormData
    - Builder
    - Error
    - FileMetadata
    - Parser
    - Part
  - Handler
    - Proc
  - Headers
  - LogHandler
  - Multipart
    - Builder
    - Error
    - Parser
  - Params
    - Builder
  - Request
  - Server
    - Context
    - RequestProcessor
    - Response
  - StaticFileHandler
    - DirectoryListing
  - WebSocket
  - WebSocketHandler
- Indexable
- IndexError
- INI
- Int
  - Primitive
  - Signed
  - Unsigned
- Int16
- Int32
- Int64
- Int8
- InvalidByteSequenceError
- IO
  - Buffered
  - ByteFormat
    - BigEndian
    - LittleEndian
    - NetworkEndian
    - SystemEndian
  - Delimited
  - EncodingOptions
  - EOFError
  - Error
  - FileDescriptor
  - Hexdump
  - Memory
  - MultiWriter
  - Seek
  - Sized
  - Timeout
- IPSocket
- Iterable
- Iterator
  - IteratorWrapper
  - Stop
- JSON
  - Any
  - Builder
    - ArrayState
    - DocumentEndState
    - DocumentStartState
    - ObjectState
    - StartState
    - State
  - Error
  - Lexer
  - ParseException
  - Parser
  - PullParser
  - Token
  - Type
- KeyError
- Levenshtein
  - Finder
- LLVM
  - ABI
    - AArch64
    - ArgKind
    - ArgType
    - ARM
    - FunctionType
    - X86
    - X86_64
      - RegClass
  - AtomicOrdering
  - AtomicRMWBinOp
  - Attribute
  - AttributeIndex
  - BasicBlock
  - BasicBlockCollection
  - Builder
  - CallConvention
  - CodeGenFileType
  - CodeGenOptLevel
  - CodeModel
  - Context
  - DIBuilder
  - DIFlags
  - DwarfTag
  - DwarfTypeEncoding
  - Function
  - FunctionCollection
  - FunctionPassManager
    - Runner
  - GenericValue
  - GlobalCollection
  - InstructionCollection
  - IntPredicate
  - JITCompiler
  - Linkage
  - MemoryBuffer
  - Module
  - ModuleFlag
  - ModulePassManager
  - ParameterCollection
  - PassManagerBuilder
  - PassRegistry
  - PhiTable
  - RealPredicate
  - RelocMode
  - Target
  - TargetData
  - TargetMachine
  - Type
    - Kind
  - Value
    - Kind
  - ValueMethods
  - VerifierFailureAction
- Logger
  - Formatter
  - Severity
- Markdown
  - HTMLRenderer
  - Parser
    - PrefixHeader
    - UnorderedList
  - Renderer
- Math
- Mutex
- NamedTuple
- Nil
- Number
  - Primitive
- OAuth
  - AccessToken
  - Consumer
  - Error
  - RequestToken
- OAuth2
  - AccessToken
    - Bearer
    - Mac
  - Client
  - Error
  - Session
- Object
- OpenSSL
  - Digest
    - Error
    - UnsupportedError
  - DigestBase
  - Error
  - HMAC
  - MD5
  - SHA1
  - SSL
    - Context
      - Client
      - Server
    - Error
    - ErrorType
    - Modes
    - Options
    - Socket
      - Client
      - Server
    - VerifyMode
    - X509VerifyFlags
- OptionParser
  - Exception
  - InvalidOption
  - MissingOption
- PartialComparable
- Pointer
  - Appender
- PrettyPrint
- Proc
- Process
  - Env
  - Status
  - Stdio
  - Tms
- Random
  - MT19937
- Range
- Readline
  - CompletionProc
  - KeyBindingProc
- Reference
- Reflect
- Regex
  - MatchData
  - Options
- SecureRandom
- Set
- Signal
- Slice
- Socket
  - Address
  - Addrinfo
  - Error
  - Family
  - IPAddress
  - Protocol
  - Server
  - Type
  - UNIXAddress
- Spec
  - Expectations
  - Methods
  - ObjectExtensions
- StaticArray
- String
  - Builder
  - RawConverter
- StringPool
- StringScanner
- Struct
- Symbol
- System
- TCPServer
- TCPSocket
- Tempfile
- Termios
  - AttributeSelection
  - BaudRate
  - ControlMode
  - InputMode
  - LineControl
  - LocalMode
  - OutputMode
- Time
  - DayOfWeek
  - EpochConverter
  - EpochMillisConverter
  - Format
    - Error
  - Kind
  - MonthSpan
  - Span
- Tuple
- TypeCastError
- UDPSocket
- UInt16
- UInt32
- UInt64
- UInt8
- Unicode
  - CaseOptions
- Union
- UNIXServer
- UNIXSocket
- URI
  - Error
- Value
- WeakRef
- XML
  - Attributes
  - AttributeType
  - Builder
  - Error
  - HTMLParserOptions
  - Namespace
  - Node
  - NodeSet
  - ParserOptions
  - Reader
  - SaveOptions
  - Type
  - XPathContext
- YAML
  - Any
  - Builder
  - Error
  - EventKind
  - ParseException
  - Parser
  - PullParser
  - Type
- Zip
  - CompressionMethod
  - Error
  - File
    - Entry
  - FileInfo
  - Reader
    - Entry
  - Writer
    - Entry
- Zlib
  - Error
  - Reader
  - Writer

# enum Debug::DWARF::TAG

## Defined in:

## Enum Members

ArrayType = `1_u32`
ClassType = `2_u32`
EntryPoint = `3_u32`
EnumerationType = `4_u32`
FormalParameter = `5_u32`
ImportedDeclaration = `8_u32`
Label = `10_u32`
LexicalBlock = `11_u32`
Member = `13_u32`
PointerType = `15_u32`
ReferenceType = `16_u32`
CompileUnit = `17_u32`
StringType = `18_u32`
StructureType = `19_u32`
SubroutineType = `21_u32`
Typedef = `22_u32`
UnionType = `23_u32`
UnspecifiedParameters = `24_u32`
Variant = `25_u32`
CommonBlock = `26_u32`
CommonInclusion = `27_u32`
Inheritance = `28_u32`
InlinedSubroutine = `29_u32`
Module = `30_u32`
PtrToMemberType = `31_u32`
SetType = `32_u32`
SubrangeType = `33_u32`
WithStmt = `34_u32`
AccessDeclaration = `35_u32`
BaseType = `36_u32`
CatchBlock = `37_u32`
ConstType = `38_u32`
Constant = `39_u32`
Enumerator = `40_u32`
FileType = `41_u32`
Friend = `42_u32`
Namelist = `43_u32`
NamelistItem = `44_u32`
PackedType = `45_u32`
Subprogram = `46_u32`
TemplateTypeParameter = `47_u32`
TemplateValueParameter = `48_u32`
ThrownType = `49_u32`
TryBlock = `50_u32`
VariantPart = `51_u32`
Variable = `52_u32`
VolatileType = `53_u32`
DwarfProcedure = `54_u32`
RestrictType = `55_u32`
InterfaceType = `56_u32`
Namespace = `57_u32`
ImportedModule = `58_u32`
UnspecifiedType = `59_u32`
PartialUnit = `60_u32`
ImportedUnit = `61_u32`
Condition = `63_u32`
SharedType = `64_u32`
TypeUnit = `65_u32`
RvalueReferenceType = `66_u32`
TemplateAlias = `67_u32`

## Instance Method Summary

- #access_declaration?
- #array_type?
- #base_type?
- #catch_block?
- #class_type?
- #common_block?
- #common_inclusion?
- #compile_unit?
- #condition?
- #const_type?
- #constant?
- #dwarf_procedure?
- #entry_point?
- #enumeration_type?
- #enumerator?
- #file_type?
- #formal_parameter?
- #friend?
- #imported_declaration?
- #imported_module?
- #imported_unit?
- #inheritance?
- #inlined_subroutine?
- #interface_type?
- #label?
- #lexical_block?
- #member?
- #module?
- #namelist?
- #namelist_item?
- #namespace?
- #packed_type?
- #partial_unit?
- #pointer_type?
- #ptr_to_member_type?
- #reference_type?
- #restrict_type?
- #rvalue_reference_type?
- #set_type?
- #shared_type?
- #string_type?
- #structure_type?
- #subprogram?
- #subrange_type?
- #subroutine_type?
- #template_alias?
- #template_type_parameter?
- #template_value_parameter?
- #thrown_type?
- #try_block?
- #type_unit?
- #typedef?
- #union_type?
- #unspecified_parameters?
- #unspecified_type?
- #variable?
- #variant?
- #variant_part?
- #volatile_type?
- #with_stmt?

### Instance methods inherited from struct `Enum`

&(other : self) &, +(other : Int) +, -(other : Int) -, <=>(other : self) <=>, ==(other : self) ==, ^(other : self) ^, clone clone, each(&block) each, hash hash, includes?(other : self) includes?, to_f32 : Float32 to_f32, to_f64 : Float64 to_f64, to_i : Int32 to_i, to_i16 : Int16 to_i16, to_i32 : Int32 to_i32, to_i64 : Int64 to_i64, to_i8 : Int8 to_i8, to_json(json : JSON::Builder) to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u16 : UInt16 to_u16, to_u32 : UInt32 to_u32, to_u64 : UInt64 to_u64, to_u8 : UInt8 to_u8, to_yaml(yaml : YAML::Builder) to_yaml, |(other : self) |, ~ ~

### Class methods inherited from struct `Enum`

each(&block) each, from_value(value) : self from_value, from_value?(value) : self? from_value?, names : Array(String) names, new(pull : JSON::PullParser)
new(pull : YAML::PullParser) new, parse(string) : self parse, parse?(string) : self? parse?, values : Array(self) values

### Instance methods inherited from module `Comparable(self)`

<(other : T) <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) >, >=(other : T) >=

### Instance methods inherited from struct `Value`

==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash hash, inspect(io : IO)
inspect inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s
to_s(io : IO) to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try

### Class methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io) : self from_yaml

## Instance Method Detail

def access_declaration? #
def array_type? #
def base_type? #
def catch_block? #
def class_type? #
def common_block? #
def common_inclusion? #
def compile_unit? #
def condition? #
def const_type? #
def constant? #
def dwarf_procedure? #
def entry_point? #
def enumeration_type? #
def enumerator? #
def file_type? #
def formal_parameter? #
def friend? #
def imported_declaration? #
def imported_module? #
def imported_unit? #
def inheritance? #
def inlined_subroutine? #
def interface_type? #
def label? #
def lexical_block? #
def member? #
def module? #
def namelist? #
def namelist_item? #
def namespace? #
def packed_type? #
def partial_unit? #
def pointer_type? #
def ptr_to_member_type? #
def reference_type? #
def restrict_type? #
def rvalue_reference_type? #
def set_type? #
def shared_type? #
def string_type? #
def structure_type? #
def subprogram? #
def subrange_type? #
def subroutine_type? #
def template_alias? #
def template_type_parameter? #
def template_value_parameter? #
def thrown_type? #
def try_block? #
def type_unit? #
def typedef? #
def union_type? #
def unspecified_parameters? #
def unspecified_type? #
def variable? #
def variant? #
def variant_part? #
def volatile_type? #
def with_stmt? #